package org.kne.cloud.network;

import java.io.FilterInputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;
import java.net.InetAddress;
import java.net.Socket;
import java.net.SocketAddress;
import java.net.SocketException;
import java.net.SocketImpl;
import java.nio.channels.SocketChannel;

public abstract class VirtualSocket extends Socket {
	
	private VirtualSocketImpl virtualImpl;

	protected VirtualSocketImpl getVirtualImpl() {
		return virtualImpl;
	}

	public VirtualSocket(VirtualSocketImpl si) throws SocketException {
		super(si);
		this.virtualImpl=si;
	}

	@Override
	public InputStream getInputStream() throws IOException {
		return virtualImpl.getInputStream();
	}

	@Override
	public OutputStream getOutputStream() throws IOException {
		return virtualImpl.getOutputStream();
	}

	
	
}
